<template>
  <v-card>
    <v-toolbar dark color="primary">
      <v-btn icon dark @click.native="close">
          <v-icon>mdi-close</v-icon>
      </v-btn>
      <v-toolbar-title>Create Post</v-toolbar-title>
    </v-toolbar>
  <v-divider></v-divider>
  <v-container fluid>
      <v-form ref="form" >
        <v-text-field
          v-model="caption"
          label="Caption"
          required
          prepend-icon="mdi-rename-box"
        ></v-text-field>
        <v-file-input
          v-model="gambar"
          label="Picture"
          prepend-icon="mdi-camera"
        ></v-file-input>
        <v-text-field
          v-model="tulisan"
          label="Share your mind"
          required
          prepend-icon="mdi-rename-box"
        ></v-text-field>
        <v-text-field
          v-model="quote"
          label="Quote of the Day"
          prepend-icon="mdi-rename-box"
        ></v-text-field>

        <div class="text-xs-center">
        <v-btn
          color="primary lighten-1"
          @click="submit"
        >
          Share
          <v-icon right dark>mdi-rename-box</v-icon>
        </v-btn>

        </div>
      </v-form>
    </v-container>


   
  </v-card>
</template>

<script>
import {  mapGetters, mapActions } from 'vuex'

export default {
    
  data () {
    return {
    
      caption : '',
      gambar : [],
      tulisan : '',
      quote : '',
      postingans : '',
      apiDomain: "http://127.0.0.1:8000",

     
    }
  },

  computed: {
    ...mapGetters({
      guest : 'auth/guest',
      user : 'auth/user',
      token : 'auth/token'
    }),
    },

  methods : {
    ...mapActions({
      setAlert  : 'alert/set',
      setToken : 'auth/setToken',
      setUser : 'auth/setUser',
    }),

    close() {
        this.$emit('closed', false)
    },

    myShare: function () {
          const config = {
              method: "get",
              url: this.apiDomain + "/api/postingans_user",
              headers: {
                'Authorization' : 'Bearer ' + this.token,
              },
          }

          this.axios(config)
              .then((response) => {
                  this.postingans = response.data.data
                  
                  console.log(response.data.data)
              })
              .catch((error) => {
                  console.log(error)
              })
      },

    submit() {
    let formData = new FormData()
        formData.append('caption', this.caption)
        formData.append('gambar', this.gambar)
        formData.append('tulisan', this.tulisan)
        formData.append('quote', this.quote)
        formData.append('token', this.token)

      const config = { 
        method: "post", 
        url: this.apiDomain + "/api/postingans",
        headers: {
          'Authorization' : 'Bearer ' + this.token,
        },
        data : formData
      };

      this.axios(config)
            .then( () => {
              this.myShare()
              this.setAlert({
                    status : true,
                    color  : 'success',
                    text  : 'Your mind has shared',
                })
                this.close()
              
            })
            .catch( (response) => {
              console.log(response)

                this.setAlert({
                    status : true,
                    color  : 'error',
                    text  : 'Creating Post Failed',
                })
            })
    }
    
  },
  created(){
    this.myShare();
    } 
}
</script>